#death
execute as @a[scores={deaths=1..}] run function single:death

#leave
execute as @a[scores={player=1..,leave=1..}] run function single:leave

#leave not a player
execute as @a[scores={player=0,leave=1..}] run tag @s remove veteran
execute as @a[scores={player=0,leave=1..}] run scoreboard players reset @s

#leave clear items
execute as @a[scores={leaveClear=1..}] run function single:leaveclear

#new
execute as @a[tag=!veteran] run function single:new

#count
scoreboard players set @e[type=armor_stand,tag=controller] count 0
execute as @a[scores={player=1..}] run scoreboard players add @e[tag=controller] count 1

#end dueling on talk
execute if entity @e[tag=controller,type=armor_stand,tag=dueling,scores={timer=1}] run function single:duelingstop
execute if entity @e[tag=controller,type=armor_stand,tag=dueling] if entity @e[type=villager,scores={timer=1}] run function single:duelingstop

#night vision regions
tag @a[tag=night_vision] remove night_vision
tag @a[x=197,y=1,z=-787,dx=34,dy=24,dz=68] add night_vision
execute as @e[tag=controller,type=armor_stand,scores={scene=..5}] run tag @a[x=209,y=1,z=-921,dx=95,dy=20,dz=72] add night_vision
execute as @e[tag=controller,type=armor_stand,scores={scene=..5}] run tag @a[x=296,y=1,z=-862,dx=8,dy=20,dz=13] remove night_vision
tag @a[x=488,y=1,z=-401,dx=56,dy=100,dz=48] add night_vision
tag @a[x=310,y=1,z=-433,dx=92,dy=100,dz=69] add night_vision
execute if entity @e[tag=controller,type=armor_stand,tag=ascension] run tag @a[scores={player=1..}] add night_vision
effect give @a[tag=night_vision] night_vision 99999 255 true
effect clear @a[tag=!night_vision] night_vision

#no sleeping in beds
execute as @a[scores={sleep=1..}] run effect give @s resistance 1 255 true
execute as @a[scores={sleep=1..}] run effect give @s instant_damage
execute as @a[scores={sleep=1..}] run scoreboard players reset @s sleep

#actionbar hints
execute if entity @e[type=armor_stand,tag=controller,scores={scene=1,timer=0},tag=!objectiveFound] if entity @e[tag=elder,type=villager,scores={timer=0}] run title @a actionbar [{"text":"Task: ","color":"dark_purple","bold":"true"},{"text":"Talk to the Tree Elder","color":"light_purple","bold":"false"}]
execute if entity @e[type=armor_stand,tag=controller,scores={scene=1,timer=0},tag=objectiveFound] run title @a actionbar [{"text":"Task: ","color":"dark_purple","bold":"true"},{"text":"Head through the path behind Crazy Steve's house","color":"light_purple","bold":"false"}]
execute if entity @e[type=armor_stand,tag=controller,scores={scene=2,timer=0}] run title @a actionbar [{"text":"Enemies remaining: ","color":"dark_purple","bold":"false"},{"score":{"name":"@e[tag=controller,type=armor_stand]","objective":"countEnemy"},"color":"light_purple","bold":"false"}]
execute if entity @e[type=armor_stand,tag=controller,scores={scene=3,timer=0}] run title @a actionbar [{"text":"Task: ","color":"dark_purple","bold":"true"},{"text":"Find a way into the manor","color":"light_purple","bold":"false"}]
execute if entity @e[type=armor_stand,tag=controller,scores={scene=4,timer=0}] run title @a actionbar [{"text":"Spiders remaining: ","color":"dark_purple","bold":"false"},{"score":{"name":"@e[tag=controller,type=armor_stand]","objective":"countSpider"},"color":"light_purple","bold":"false"}]
execute if entity @e[type=armor_stand,tag=controller,scores={scene=5,timer=0}] run title @a actionbar [{"text":"Task: ","color":"dark_purple","bold":"true"},{"text":"Talk to Alfred","color":"light_purple","bold":"false"}]
execute if entity @e[type=armor_stand,tag=controller,scores={scene=6..12,timer=0},tag=!specMode] run title @a actionbar [{"text":"Task: ","color":"dark_purple","bold":"true"},{"text":"Free roam","color":"light_purple","bold":"false"}]
execute if entity @e[type=armor_stand,tag=controller,scores={scene=13,timer=0}] run title @a actionbar [{"text":"Task: ","color":"dark_purple","bold":"true"},{"text":"Talk to Alfred","color":"light_purple","bold":"false"}]
execute if entity @e[type=armor_stand,tag=controller,scores={scene=14,timer=0}] run title @a actionbar [{"text":"Task: ","color":"dark_purple","bold":"true"},{"text":"Talk to Mr. Winston","color":"light_purple","bold":"false"}]
execute if entity @e[type=armor_stand,tag=controller,scores={scene=15,timer=0}] run title @a actionbar [{"text":"Task: ","color":"dark_purple","bold":"true"},{"text":"Talk to Steve","color":"light_purple","bold":"false"}]
execute if entity @e[type=armor_stand,tag=controller,scores={scene=16,timer=0}] run title @a actionbar [{"text":"Task: ","color":"dark_purple","bold":"true"},{"text":"Talk to Antonio","color":"light_purple","bold":"false"}]
execute if entity @e[type=armor_stand,tag=controller,scores={scene=17,timer=0}] run title @a actionbar [{"text":"Task: ","color":"dark_purple","bold":"true"},{"text":"Find and set the seeds","color":"light_purple","bold":"false"}]
execute if entity @e[type=armor_stand,tag=controller,scores={scene=18,timer=0}] run title @a actionbar [{"text":"Task: ","color":"dark_purple","bold":"true"},{"text":"Rescue Antonio in the walls","color":"light_purple","bold":"false"}]
execute if entity @e[type=armor_stand,tag=controller,scores={scene=19,timer=0}] run title @a actionbar [{"text":"Task: ","color":"dark_purple","bold":"true"},{"text":"Return inside the manor and investigate","color":"light_purple","bold":"false"}]
execute if entity @e[type=armor_stand,tag=controller,scores={scene=20,timer=0}] run title @a actionbar [{"text":"Task: ","color":"dark_purple","bold":"true"},{"text":"Deal with Charles","color":"light_purple","bold":"false"}]
execute if entity @e[type=armor_stand,tag=controller,scores={scene=21..22,timer=0}] run title @a actionbar [{"text":"Task: ","color":"dark_purple","bold":"true"},{"text":"Investigate","color":"light_purple","bold":"false"}]
execute if entity @e[type=armor_stand,tag=controller,scores={scene=23,timer=0}] run title @a actionbar [{"text":"Task: ","color":"dark_purple","bold":"true"},{"text":"Enter the basement","color":"light_purple","bold":"false"}]
execute if entity @e[type=armor_stand,tag=controller,scores={scene=24,timer=0},tag=!specMode,tag=!won] run title @a actionbar [{"text":"Task: ","color":"dark_purple","bold":"true"},{"text":"Find the murderer","color":"light_purple","bold":"false"}]
execute if entity @e[type=armor_stand,tag=controller,scores={scene=24,timer=0},tag=!specMode,tag=won] run title @a actionbar [{"text":"Task: ","color":"dark_purple","bold":"true"},{"text":"Exit the basement","color":"light_purple","bold":"false"}]
execute if entity @e[type=armor_stand,tag=controller,scores={scene=25,timer=0}] run title @a actionbar [{"text":"Task: ","color":"dark_purple","bold":"true"},{"text":"Go to sleep","color":"light_purple","bold":"false"}]
execute if entity @e[type=armor_stand,tag=controller,scores={scene=26,timer=0},tag=!byeManor] run title @a actionbar [{"text":"Task: ","color":"dark_purple","bold":"true"},{"text":"Talk to Mr. Winston","color":"light_purple","bold":"false"}]
execute if entity @e[type=armor_stand,tag=controller,scores={scene=26,timer=0},tag=byeManor] run title @a actionbar [{"text":"Task: ","color":"dark_purple","bold":"true"},{"text":"Exit the manor","color":"light_purple","bold":"false"}]
execute if entity @e[type=armor_stand,tag=controller,scores={scene=27,timer=0}] run title @a actionbar [{"text":"Task: ","color":"dark_purple","bold":"true"},{"text":"Talk to Nicole to sleep","color":"light_purple","bold":"false"}]
execute if entity @e[type=armor_stand,tag=controller,scores={scene=28,timer=0},tag=!hii] run title @a actionbar [{"text":"Task: ","color":"dark_purple","bold":"true"},{"text":"Talk to the Tree Elder","color":"light_purple","bold":"false"}]
execute if entity @e[type=armor_stand,tag=controller,scores={scene=28,timer=0},tag=hii] run title @a actionbar [{"text":"Task: ","color":"dark_purple","bold":"true"},{"text":"Find a pickaxe","color":"light_purple","bold":"false"}]
execute if entity @e[type=armor_stand,tag=controller,scores={scene=29,timer=0}] run title @a actionbar [{"text":"Task: ","color":"dark_purple","bold":"true"},{"text":"Talk to the Tree Elder","color":"light_purple","bold":"false"}]
execute if entity @e[type=armor_stand,tag=controller,scores={scene=30,timer=0}] run title @a actionbar [{"text":"Task: ","color":"dark_purple","bold":"true"},{"text":"Talk to Gatekeeper Joe","color":"light_purple","bold":"false"}]
execute if entity @e[type=armor_stand,tag=controller,scores={scene=31,timer=0}] unless entity @e[type=villager,tag=dakota,scores={timer=1}] run title @a actionbar [{"text":"Task: ","color":"dark_purple","bold":"true"},{"text":"Find Dakota","color":"light_purple","bold":"false"}]
execute if entity @e[type=armor_stand,tag=controller,scores={scene=32,timer=0}] unless entity @e[type=villager,tag=jasper,scores={timer=1}] unless entity @e[type=villager,tag=crook,scores={timer=1}] run title @a actionbar [{"text":"Task: ","color":"dark_purple","bold":"true"},{"text":"Find a way to the ship headed for Kininomi Cove","color":"light_purple","bold":"false"}]

#playtime
execute as @e[tag=controller,type=armor_stand,scores={scene=1..,count=1..}] run scoreboard players add @s playtime 1
execute as @e[tag=controller,type=armor_stand,scores={scene=1..,playtime=20}] run scoreboard players add @s second 1
execute as @e[tag=controller,type=armor_stand,scores={scene=1..,playtime=20,second=60}] run scoreboard players add @s minute 1
execute as @e[tag=controller,type=armor_stand,scores={scene=1..,playtime=20,second=60,minute=60}] run scoreboard players add @s hour 1
execute as @e[tag=controller,type=armor_stand,scores={scene=1..,playtime=20,second=60,minute=60}] run scoreboard players set @s minute 0
execute as @e[tag=controller,type=armor_stand,scores={scene=1..,playtime=20,second=60}] run scoreboard players set @s second 0
execute as @e[tag=controller,type=armor_stand,scores={scene=1..,playtime=20}] run scoreboard players reset * playtime

#drop player specific item
execute as @a[scores={dropironsword=2..}] run function single:dropironsword
execute as @a[scores={dropstoneaxe=2..}] run function single:dropstoneaxe
execute as @a[scores={dropbow=2..}] run function single:dropbow
execute as @a[scores={droparrow=2..}] run function single:droparrow
execute as @a[scores={dropironaxe=2..}] run function single:dropironaxe
execute as @a[scores={dropstonesword=2..}] run function single:dropstonesword
execute as @a[scores={dropshield=2..}] run function single:dropshield
execute as @a[scores={dropironsword=1..}] run scoreboard players add @s dropironsword 1
execute as @a[scores={dropstoneaxe=1..}] run scoreboard players add @s dropstoneaxe 1
execute as @a[scores={dropbow=1..}] run scoreboard players add @s dropbow 1
execute as @a[scores={droparrow=1..}] run scoreboard players add @s droparrow 1
execute as @a[scores={dropironaxe=1..}] run scoreboard players add @s dropironaxe 1
execute as @a[scores={dropstonesword=1..}] run scoreboard players add @s dropstonesword 1
execute as @a[scores={dropshield=1..}] run scoreboard players add @s dropshield 1
execute as @a[scores={dropironsword=1..}] at @s positioned ~ ~1 ~ run kill @e[type=item,distance=..1,nbt={Item:{id:"minecraft:iron_sword"}}]
execute as @a[scores={dropstoneaxe=1..}] at @s positioned ~ ~1 ~ run kill @e[type=item,distance=..1,nbt={Item:{id:"minecraft:stone_axe"}}]
execute as @a[scores={dropbow=1..}] at @s positioned ~ ~1 ~ run kill @e[type=item,distance=..1,nbt={Item:{id:"minecraft:bow"}}]
execute as @a[scores={droparrow=1..}] at @s positioned ~ ~1 ~ run kill @e[type=item,distance=..1,nbt={Item:{id:"minecraft:arrow"}}]
execute as @a[scores={dropironaxe=1..}] at @s positioned ~ ~1 ~ run kill @e[type=item,distance=..1,nbt={Item:{id:"minecraft:iron_axe"}}]
execute as @a[scores={dropstonesword=1..}] at @s positioned ~ ~1 ~ run kill @e[type=item,distance=..1,nbt={Item:{id:"minecraft:stone_sword"}}]
execute as @a[scores={dropshield=1..}] at @s positioned ~ ~1 ~ run kill @e[type=item,distance=..1,nbt={Item:{id:"minecraft:shield"}}]

#no dropping items
execute as @a at @s run data merge entity @e[type=item,limit=1,sort=nearest,distance=..2,tag=!noPickup,tag=!noTrade] {PickupDelay:0}

#drink potion
execute as @a[scores={drinkPotion=1..}] run clear @s glass_bottle
execute as @a[scores={drinkPotion=1..}] run scoreboard players reset @s drinkPotion

#conundrum village portal in twilight town
execute as @a[x=313,y=3,z=-823,dx=4,dy=0,dz=4,tag=!conundrumPortal1] run tellraw @s [{"text":"This portal is not currently active!","color":"red"}]
execute as @a[x=313,y=3,z=-823,dx=4,dy=0,dz=4,tag=!conundrumPortal1] at @s run playsound block.anvil.place master @s ~ ~ ~ 1000
tag @a[tag=conundrumPortal1] remove conundrumPortal1
execute as @a[x=313,y=3,z=-823,dx=4,dy=0,dz=4,tag=!conundrumPortal1] run tag @s add conundrumPortal1

#basement prevention
tellraw @a[x=277,y=4,z=-819,distance=..2] {"text":"The mayor's basement is too dark! You'll need a torch to go down there.","color":"red"}
execute as @a[x=277,y=4,z=-819,distance=..2] at @s run playsound block.anvil.place master @s ~ ~ ~ 1000
tp @a[x=277,y=4,z=-819,distance=..2] 281 5 -819 90 20

#display gold
execute as @a[scores={displayGold=2..}] run give @s gold_nugget{display:{Name:'{"text":"Drop to display gold","italic":"false"}'}}
execute as @a[scores={displayGold=2..}] run scoreboard players reset @s displayGold
execute as @a[scores={displayGold=1..}] run function single:displaygold

#arrows
kill @e[type=arrow,nbt={inGround:1b}]

#credits
execute as @a[scores={credits=1}] run tellraw @s {"text":"Click here to view the creator's Youtube channel","color":"dark_red","bold":"true","clickEvent":{"action":"open_url","value":"https://www.youtube.com/channel/UCvW7dwUX8A6CttSPN_1BvqQ"}}
execute as @a[scores={credits=1}] run playsound ui.button.click master @s ~ ~ ~ 1000
execute as @a[scores={credits=1}] run scoreboard players reset @s credits

#regen
effect give @a[scores={regenTime=80..,Health=..19}] minecraft:regeneration 1 2 true
scoreboard players reset @a[scores={regenTime=80..}] regenTime

#timer
execute as @e[type=armor_stand,tag=controller,scores={timer=1..,count=1..}] run scoreboard players add @s time 1
execute as @e[type=armor_stand,tag=controller,scores={count=1..}] as @e[type=villager,scores={timer=1..}] run scoreboard players add @s time 1
execute as @e[type=armor_stand,tag=controller,scores={count=1..}] as @e[type=dolphin,scores={timer=1..}] run scoreboard players add @s time 1

#mansion lever
execute if block 674 5 -814 lever[facing=west,face=floor,powered=true] unless entity @e[type=armor_stand,tag=dualCountdown,tag=foyer] run function single:mansionlevers
execute if block 808 23 -814 lever[facing=west,face=floor,powered=true] unless entity @e[type=armor_stand,tag=dualCountdown,tag=foyer] run function single:mansionlevers
execute as @e[type=armor_stand,tag=dualCountdown,tag=foyer] run function multiple:mansionlevers

#mansion past cant go in basement when closed
execute unless entity @e[type=armor_stand,tag=controller,scores={scene=23}] as @a[x=703,y=2,z=-714,dx=2,dy=1,dz=2] at @s run tp @s ~ 4 ~

#other
execute if entity @e[tag=controller,type=armor_stand,scores={scene=3..25}] as @e[type=slime,tag=flowerBlocker] unless entity @s[nbt={ActiveEffects:[{Id:14b}]}] run effect give @s invisibility 999999 255 true
execute if entity @e[tag=controller,type=armor_stand,scores={scene=12..22}] run fill 703 3 -712 705 3 -714 spruce_trapdoor[open=false,powered=false,half=top,facing=south]
execute if entity @e[tag=controller,type=armor_stand,scores={scene=25}] run fill 703 3 -712 705 3 -714 spruce_trapdoor[open=false,powered=false,half=top,facing=south]
execute as @e[type=item,tag=noPickup] run data merge entity @s {PickupDelay:32767,Age:-32767}
effect give @a saturation 99999 255 true
execute as @e[scores={timer=1..}] run scoreboard players set @a talk 100
execute as @e[type=villager] at @s positioned ~ ~1 ~ run kill @e[type=fishing_bobber,distance=..1]