#actionbar and health
execute if entity @e[type=slime,tag=ratKing,tag=move1] run title @a actionbar [{"text":"♥","color":"red","bold":"true"},{"text":" | ","color":"dark_gray","bold":"true"},{"text":"Escape The Rat King","color":"light_purple","bold":"false"}]
execute if entity @e[type=slime,tag=ratKing,tag=move2,tag=!vulnerable] run title @a actionbar [{"text":"♥","color":"red","bold":"true"},{"text":" | ","color":"dark_gray","bold":"true"},{"text":"Attack the illusioner","color":"light_purple","bold":"false"}]
execute if entity @e[type=slime,tag=ratKing,tag=move2,tag=vulnerable] run title @a actionbar [{"text":"♥","color":"red","bold":"true"},{"text":" | ","color":"dark_gray","bold":"true"},{"text":"The Rat King is now vulnerable!","color":"light_purple","bold":"false"}]

#spectate
execute if entity @e[tag=controller,type=armor_stand,tag=specMode] as @a[scores={player=1..},gamemode=spectator] at @s run spectate @p[scores={ratKing=1..,player=1..}] @s

#other
scoreboard players set @e[tag=controller,type=armor_stand] ratKingCount 0
execute as @a[scores={ratKing=1..}] run scoreboard players add @e[tag=controller,type=armor_stand] ratKingCount 1
execute as @e[type=slime,tag=ratKing,tag=timer] run scoreboard players add @s ratKingT 1

#kill silverfish
execute as @a[scores={killRat=1..}] run scoreboard players add @s gold 1
execute as @a[scores={killRat=1..}] run tellraw @s [{"text":"+1 gold","color":"yellow"}]
execute as @a[scores={killRat=1..}] run scoreboard players reset @s killRat
#kill husk
execute as @a[scores={killHusk=1..}] run scoreboard players add @s gold 1
execute as @a[scores={killHusk=1..}] run tellraw @s [{"text":"+1 gold","color":"yellow"}]
execute as @a[scores={killHusk=1..}] run scoreboard players reset @s killHusk

#moves
execute as @e[tag=ratKing,type=slime,tag=move1] run function multiple:ratking1
execute as @e[tag=ratKing,type=slime,tag=move2] run function multiple:ratking2

#lose/die
execute unless entity @a[scores={player=1..,ratKing=1..}] run function single:ratkingstop

#kill rat king
execute as @a[scores={killRatKing=1..}] run scoreboard players add @s gold 20
execute as @a[scores={killRatKing=1..}] run tellraw @s [{"text":"+20 gold","color":"yellow"}]
execute as @a[scores={killRatKing=1..}] run scoreboard players add @s bossKills 1
execute as @a[scores={killRatKing=1..}] run tellraw @a [{"text":"The Rat King was slain by ","color":"white"},{"text":"","extra":[{"selector":"@s"}]}]
execute as @a[scores={killRatKing=1..}] as @a run playsound entity.silverfish.hurt master @s ~ ~ ~ 1000 0.3 
execute as @a[scores={killRatKing=1..}] run give @s magma_cream{display:{Name:'{"text":"Ancient Right Key","italic":"false"}'}} 1
execute as @a[scores={killRatKing=1..}] run tellraw @a [{"text":"","extra":[{"selector":"@s"}]},{"text":" has received the Ancient Right Key","color":"green","bold":"true"}]
execute as @a[scores={killRatKing=1..}] as @a run playsound entity.player.levelup master @s ~ ~ ~ 1000
execute as @a[scores={killRatKing=1..}] run tag @e[tag=controller,type=armor_stand] add wasKilled
execute as @a[scores={killRatKing=1..}] run scoreboard objectives remove killRatKing

#end
execute unless entity @e[tag=ratKing,type=slime] if entity @e[tag=controller,type=armor_stand,scores={scene=24}] run tag @e[tag=controller,type=armor_stand] add won
execute unless entity @e[tag=ratKing,type=slime] if entity @e[tag=controller,type=armor_stand,scores={scene=24}] run function single:ratkingstop