#actionbar and health
execute if entity @e[type=dolphin,tag=articus,tag=!move8,scores={articusHP=3}] run title @a actionbar [{"text":"♥♥♥","color":"red","bold":"true"}]
execute if entity @e[type=dolphin,tag=articus,tag=move8,scores={articusHP=3}] run title @a actionbar [{"text":"♥♥♥","color":"red","bold":"true"},{"text":" | ","color":"dark_gray","bold":"true"},{"text":"Articus is now vulnerable!","color":"dark_purple","bold":"false"}]
execute if entity @e[type=dolphin,tag=articus,scores={articusHP=2}] run title @a actionbar [{"text":"♥♥","color":"red","bold":"true"},{"text":"♥","color":"dark_gray","bold":"true"}]

#spectate
execute if entity @e[tag=controller,type=armor_stand,tag=specMode] as @a[scores={player=1..},gamemode=spectator] at @s run spectate @p[scores={articus=1..,player=1..}] @s

#other
effect clear @a[scores={player=1..}] levitation
execute as @a[scores={articus=1..},x=512,y=27,z=-397,dx=7,dy=24,dz=5] at @s run tp @s ~ ~ -391
scoreboard players set @e[tag=controller,type=armor_stand] articusCount 0
execute as @a[scores={articus=1..}] run scoreboard players add @e[tag=controller,type=armor_stand] articusCount 1
execute as @e[type=dolphin,tag=articus,tag=timer] run scoreboard players add @s articusT 1
data merge entity @e[tag=articus,type=dolphin,limit=1] {Moistness:2400}

#above air
execute if entity @e[tag=articus,type=dolphin,tag=!move8] as @a[scores={player=1..,articus=1..}] at @s if block ~ ~-1 ~ air run tp @s ~ ~-1 ~
execute as @a[scores={player=1..,articus=1..}] at @s if block ~ ~-1 ~ packed_ice run tp @s 784 3 -846

#kill drowned
execute as @a[scores={kill1=1..}] run scoreboard players add @s gold 1
execute as @a[scores={kill1=1..}] run tellraw @s [{"text":"+1 gold","color":"yellow"}]
execute as @a[scores={kill1=1..}] run scoreboard players reset @s kill1
#kill guardian
execute as @a[scores={kill2=1..}] run scoreboard players add @s gold 1
execute as @a[scores={kill2=1..}] run tellraw @s [{"text":"+1 gold","color":"yellow"}]
execute as @a[scores={kill2=1..}] run scoreboard players reset @s kill2
#kill pufferfish
execute as @a[scores={kill3=1..}] run scoreboard players add @s gold 1
execute as @a[scores={kill3=1..}] run tellraw @s [{"text":"+1 gold","color":"yellow"}]
execute as @a[scores={kill3=1..}] run scoreboard players reset @s kill3

#moves
execute if entity @e[tag=articus,type=dolphin,tag=move1] run function multiple:articusm1
execute if entity @e[tag=articus,type=dolphin,tag=move2] run function multiple:articusm2
execute if entity @e[tag=articus,type=dolphin,tag=move3] run function multiple:articusm3
execute if entity @e[tag=articus,type=dolphin,tag=move4] run function multiple:articusm4
execute if entity @e[tag=articus,type=dolphin,tag=move5] run function multiple:articusm5
execute if entity @e[tag=articus,type=dolphin,tag=move6] run function multiple:articusm6
execute if entity @e[tag=articus,type=dolphin,tag=move7] run function multiple:articusm7
execute if entity @e[tag=articus,type=dolphin,tag=move8] run function multiple:articusm8

#lose/die
execute unless entity @a[scores={player=1..,articus=1..}] run function single:articusstop

#defeat
execute as @e[tag=articus,type=dolphin,tag=finished,tag=swimAway,tag=swimUp,tag=gone] at @s run tp @s ~ ~100 ~
execute as @e[tag=articus,type=dolphin,tag=finished,tag=swimAway,tag=swimUp,tag=gone] at @s run tag @e[tag=controller,type=armor_stand] add won
execute as @e[tag=articus,type=dolphin,tag=finished,tag=swimAway,tag=swimUp,tag=gone] at @s run function single:articusstop

#end
execute unless entity @e[tag=articus,type=dolphin] if entity @e[tag=controller,type=armor_stand,scores={scene=9}] run function single:articusstop