effect clear @a hunger

#continue talking to tree elder if some kid tries to speedrun
execute if entity @e[tag=elder,type=villager,scores={time=140}] run tellraw @a [{"text":"[2/4] ","color":"gray","bold":"true"},{"text":"Tree Elder: ","color":"gold","bold":"true"},{"text":"There's an old, cursed manor located behind Crazy Steve's house in the woods called Twilight Manor.","color":"gold","bold":"false"}]
execute if entity @e[tag=elder,type=villager,scores={time=140}] as @a run playsound entity.chicken.egg master @s ~ ~ ~ 1000

execute if entity @e[tag=elder,type=villager,scores={time=260}] run tellraw @a [{"text":"[3/4] ","color":"gray","bold":"true"},{"text":"Tree Elder: ","color":"gold","bold":"true"},{"text":"I'm not sure if it contains a key or not, but the manor is run by Mayor Wendall's brother, Mr. Winston.","color":"gold","bold":"false"}]
execute if entity @e[tag=elder,type=villager,scores={time=260}] as @a run playsound entity.chicken.egg master @s ~ ~ ~ 1000

execute if entity @e[tag=elder,type=villager,scores={time=400}] run function single:elderinitial

#steve/fake7 particles/sound
data merge entity @e[type=evoker,tag=fake7,limit=1] {Rotation:[180.0f,0.0f]}
execute at @e[tag=steve,type=villager] if entity @e[tag=fake7,type=evoker] run particle enchant ~ ~3 ~ 0.1 0.1 0.1 1 20 force @a
execute at @e[tag=fake7,type=evoker] run particle entity_effect ~ ~2 ~ 0.1 0.1 0.1 1 20 force @a
execute at @e[tag=steve,type=villager] if entity @e[tag=fake7,type=evoker] run playsound entity.illusioner.cast_spell player @a ~ ~ ~ 0.3

#no vexes
execute as @e[tag=fake,type=evoker] run data merge entity @s {SpellTicks:0}
tp @e[type=vex] 0 -100 0
kill @e[type=vex]

#kill for gold
#husk/stone golem
execute as @a[scores={killStoneGolem=1..}] run scoreboard players add @s gold 1
execute as @a[scores={killStoneGolem=1..}] run tellraw @s [{"text":"+1 gold","color":"yellow"}]
execute as @a[scores={killStoneGolem=1..}] run scoreboard players reset @s killStoneGolem
#illusioner/evoker
execute as @a[scores={killIllusioner=1..}] run scoreboard players add @s gold 2
execute as @a[scores={killIllusioner=1..}] run tellraw @s [{"text":"+2 gold","color":"yellow"}]
execute as @a[scores={killIllusioner=1..}] run scoreboard players reset @s killIllusioner

#kill illusioner duplicates
execute unless entity @e[tag=fake1] run function single:killfake1
execute unless entity @e[tag=fake2] run function single:killfake2
execute unless entity @e[tag=fake3] run function single:killfake3
execute unless entity @e[tag=fake4] run function single:killfake4
execute unless entity @e[tag=fake5] run function single:killfake5
execute unless entity @e[tag=fake6] run function single:killfake6
execute unless entity @e[tag=fake7] run function single:killfake7

#add countEnemy
scoreboard players set @e[tag=controller,type=armor_stand] countEnemy 0
execute as @e[tag=enemyScene5] run scoreboard players add @e[tag=controller,type=armor_stand] countEnemy 1

#talk to steve
execute if entity @e[tag=fake7,type=evoker] at @e[tag=steve,type=villager] as @a[scores={talk=1},distance=..5] run tellraw @s [{"text":"Crazy Steve: ","color":"gold","bold":"true"},{"text":"AHHHHH!!","color":"gold","bold":"false"}]
execute if entity @e[tag=fake7,type=evoker] at @e[tag=steve,type=villager] as @a[scores={talk=1},distance=..5] run playsound entity.chicken.egg master @s ~ ~ ~ 1000
execute if entity @e[tag=fake7,type=evoker] at @e[tag=steve,type=villager] as @a[scores={talk=1},distance=..5] run scoreboard players reset * talk

execute unless entity @e[tag=fake7,type=evoker] at @e[tag=steve,type=villager] as @a[scores={talk=1},distance=..5] run tellraw @s [{"text":"Steve: ","color":"gold","bold":"true"},{"text":"Wha-?! I can talk again! That duplicate of the illusioner must've lifted the curse the witch casted on me so long ago!","color":"gold","bold":"false"}]
execute unless entity @e[tag=fake7,type=evoker] at @e[tag=steve,type=villager] as @a[scores={talk=1},distance=..5] run playsound entity.chicken.egg master @s ~ ~ ~ 1000
execute unless entity @e[tag=fake7,type=evoker] at @e[tag=steve,type=villager] as @a[scores={talk=1},distance=..5] run scoreboard players reset * talk

#change scene/kill all enemies
execute if entity @e[tag=controller,type=armor_stand,scores={countEnemy=0}] run function single:day5pt2