#music
execute as @a[scores={music=2}] at @s run playsound music.lobby record @s ~ ~ ~ 1000
scoreboard players reset @a[scores={music=1920..}] music

#invisibility
effect give @a invisibility 1 255 true

#no moving
execute as @a[scores={walk=1..}] run scoreboard players set @s move 1
execute as @a[scores={sprint=1..}] run scoreboard players set @s move 1
execute as @a[scores={jump=1..}] run scoreboard players set @s move 1
execute as @a[scores={water_walk=1..}] run scoreboard players set @s move 1
execute as @a[scores={under_water_walk=1..}] run scoreboard players set @s move 1
execute as @a[scores={swim=1..}] run scoreboard players set @s move 1
execute as @a[scores={walk=1..}] run scoreboard players reset @s walk
execute as @a[scores={sprint=1..}] run scoreboard players reset @s sprint
execute as @a[scores={jump=1..}] run scoreboard players reset @s jump
execute as @a[scores={water_walk=1..}] run scoreboard players reset @s water_walk
execute as @a[scores={under_water_walk=1..}] run scoreboard players reset @s under_water_walk
execute as @a[scores={swim=1..}] run scoreboard players reset @s swim

#change viewing
execute as @e[tag=controller,type=armor_stand,scores={time=0..200}] run tp @a[scores={player=1..,move=1..}] 284 5 -793 38 -7
execute as @e[tag=controller,type=armor_stand,scores={time=0..200}] as @a[scores={player=1..}] unless entity @s[y_rotation=38.0,x_rotation=-7.0] run tp @s 284 5 -793 38 -7
execute as @e[tag=controller,type=armor_stand,scores={time=100}] run title @a subtitle {"text":"Of Part 2","color":"dark_purple"}
execute as @e[tag=controller,type=armor_stand,scores={time=100}] run title @a times 0 100 0
execute as @e[tag=controller,type=armor_stand,scores={time=100}] as @a run playsound block.note_block.hat master @s ~ ~ ~ 1000

execute as @e[tag=controller,type=armor_stand,scores={time=201}] as @a[scores={player=1..}] at @s run tp @s 170 4 -656 -45 0
execute as @e[tag=controller,type=armor_stand,scores={time=201..400}] run tp @a[scores={player=1..,move=1..}] 170 4 -656 -45 0
execute as @e[tag=controller,type=armor_stand,scores={time=201..400}] as @a[scores={player=1..}] unless entity @s[y_rotation=-45.0,x_rotation=0.0] run tp @s 170 4 -656 -45 0
execute as @e[tag=controller,type=armor_stand,scores={time=201..400}] run function multiple:faceanimation
execute as @e[tag=controller,type=armor_stand,scores={time=201}] run tellraw @a {"text":"Click here to vote on whether part 1 or part 2 was better (The results will direct the process of making part 3)","color":"light_purple","bold":"true","clickEvent":{"action":"open_url","value":"https://www.strawpoll.me/19859699"}}
execute as @e[tag=controller,type=armor_stand,scores={time=201}] run title @a title {"text":"Vote!","color":"dark_purple"}
execute as @e[tag=controller,type=armor_stand,scores={time=201}] run title @a subtitle [{"text":"Did you like part 1 or part 2 more?","color":"light_purple"}]
execute as @e[tag=controller,type=armor_stand,scores={time=201}] run title @a times 0 200 0
execute as @e[tag=controller,type=armor_stand,scores={time=201}] as @a run playsound block.note_block.hat master @s ~ ~ ~ 1000

execute as @e[tag=controller,type=armor_stand,scores={time=401}] run tp @a[scores={player=1..}] 330 21 -699 -180 10
execute as @e[tag=controller,type=armor_stand,scores={time=401..600}] run tp @a[scores={player=1..,move=1..}] 330 21 -699 -180 10
execute as @e[tag=controller,type=armor_stand,scores={time=401..600}] as @a[scores={player=1..}] unless entity @s[y_rotation=-180.0,x_rotation=10.0] run tp @s 330 21 -699 -180 10
execute as @e[tag=controller,type=armor_stand,scores={time=401}] run title @a title {"text":"Created by","color":"dark_red"}
execute as @e[tag=controller,type=armor_stand,scores={time=401}] run title @a subtitle [{"text":"LetzTaco","color":"red"},{"text":" and ","color":"red"},{"text":"GhostFarts","color":"red"}]
execute as @e[tag=controller,type=armor_stand,scores={time=401}] run title @a times 0 200 0
execute as @e[tag=controller,type=armor_stand,scores={time=401}] as @a run playsound block.note_block.hat master @s ~ ~ ~ 1000

execute as @e[tag=controller,type=armor_stand,scores={time=601}] run time set 14600
execute as @e[tag=controller,type=armor_stand,scores={time=601}] run tp @a[scores={player=1..}] 488 23 -814 -90 -10
execute as @e[tag=controller,type=armor_stand,scores={time=601..800}] run tp @a[scores={player=1..,move=1..}] 488 23 -814 -90 -10
execute as @e[tag=controller,type=armor_stand,scores={time=601..800}] as @a[scores={player=1..}] unless entity @s[y_rotation=-90.0,x_rotation=-10.0] run tp @s 488 23 -814 -90 -10
execute as @e[tag=controller,type=armor_stand,scores={time=601}] run title @a title {"text":"Youtube","color":"white"}
execute as @e[tag=controller,type=armor_stand,scores={time=601}] run title @a subtitle [{"text":"LetzTaco","color":"dark_red"}]
execute as @e[tag=controller,type=armor_stand,scores={time=601}] run title @a times 0 200 0
execute as @e[tag=controller,type=armor_stand,scores={time=601}] as @a run playsound block.note_block.hat master @s ~ ~ ~ 1000

execute as @e[tag=controller,type=armor_stand,scores={time=801}] run tp @a[scores={player=1..}] 551 19 -801 -90 0
execute as @e[tag=controller,type=armor_stand,scores={time=801..1000}] run tp @a[scores={player=1..,move=1..}] 551 19 -801 -90 0
execute as @e[tag=controller,type=armor_stand,scores={time=801..1000}] as @a[scores={player=1..}] unless entity @s[y_rotation=-90.0,x_rotation=0.0] run tp @s 551 19 -801 -90 0
execute as @e[tag=controller,type=armor_stand,scores={time=801}] run title @a title {"text":"Builds by","color":"dark_green"}
execute as @e[tag=controller,type=armor_stand,scores={time=801}] run title @a subtitle [{"text":"GhostFarts","color":"green"}]
execute as @e[tag=controller,type=armor_stand,scores={time=801}] run title @a times 0 200 0
execute as @e[tag=controller,type=armor_stand,scores={time=801}] as @a run playsound block.note_block.hat master @s ~ ~ ~ 1000

execute as @e[tag=controller,type=armor_stand,scores={time=1001}] run tp @a[scores={player=1..}] 551 19 -827 -90 0
execute as @e[tag=controller,type=armor_stand,scores={time=1001..1200}] run tp @a[scores={player=1..,move=1..}] 551 19 -827 -90 0
execute as @e[tag=controller,type=armor_stand,scores={time=1001..1200}] as @a[scores={player=1..}] unless entity @s[y_rotation=-90.0,x_rotation=0.0] run tp @s 551 19 -827 -90 0
execute as @e[tag=controller,type=armor_stand,scores={time=1001}] run title @a title {"text":"Commands by","color":"gold"}
execute as @e[tag=controller,type=armor_stand,scores={time=1001}] run title @a subtitle [{"text":"LetzTaco","color":"yellow"}]
execute as @e[tag=controller,type=armor_stand,scores={time=1001}] run title @a times 0 200 0
execute as @e[tag=controller,type=armor_stand,scores={time=1001}] as @a run playsound block.note_block.hat master @s ~ ~ ~ 1000

execute as @e[tag=controller,type=armor_stand,scores={time=1201}] run tp @a[scores={player=1..}] 656 5 -814 -90 -4
execute as @e[tag=controller,type=armor_stand,scores={time=1201..1400}] run tp @a[scores={player=1..,move=1..}] 656 5 -814 -90 -4
execute as @e[tag=controller,type=armor_stand,scores={time=1201..1400}] as @a[scores={player=1..}] unless entity @s[y_rotation=-90.0,x_rotation=-4.0] run tp @s 656 5 -814 -90 -4
execute as @e[tag=controller,type=armor_stand,scores={time=1201}] run title @a title {"text":"Music by","color":"blue"}
execute as @e[tag=controller,type=armor_stand,scores={time=1201}] run title @a subtitle [{"text":"Craftmazter2000","color":"aqua"},{"text":" and ","color":"aqua"},{"text":"GhostFarts","color":"aqua"}]
execute as @e[tag=controller,type=armor_stand,scores={time=1201}] run title @a times 0 200 0
execute as @e[tag=controller,type=armor_stand,scores={time=1201}] as @a run playsound block.note_block.hat master @s ~ ~ ~ 1000

execute as @e[tag=controller,type=armor_stand,scores={time=1401}] run tp @a[scores={player=1..}] 656 5 -713 -90 -4
execute as @e[tag=controller,type=armor_stand,scores={time=1401..1600}] run tp @a[scores={player=1..,move=1..}] 656 5 -713 -90 -4
execute as @e[tag=controller,type=armor_stand,scores={time=1401..1600}] as @a[scores={player=1..}] unless entity @s[y_rotation=-90.0,x_rotation=-4.0] run tp @s 656 5 -713 -90 -4
execute as @e[tag=controller,type=armor_stand,scores={time=1401}] run title @a title {"text":"Help from","color":"dark_purple"}
execute as @e[tag=controller,type=armor_stand,scores={time=1401}] run title @a subtitle [{"text":"EliMe5 and c_t_l","color":"light_purple"}]
execute as @e[tag=controller,type=armor_stand,scores={time=1401}] run title @a times 0 200 0
execute as @e[tag=controller,type=armor_stand,scores={time=1401}] as @a run playsound block.note_block.hat master @s ~ ~ ~ 1000

execute as @e[tag=controller,type=armor_stand,scores={time=1601}] run tp @a[scores={player=1..}] 682 6 -846 180 1.5
execute as @e[tag=controller,type=armor_stand,scores={time=1601..1800}] run tp @a[scores={player=1..,move=1..}] 682 6 -846 180 1.5
execute as @e[tag=controller,type=armor_stand,scores={time=1601..1800}] as @a[scores={player=1..}] unless entity @s[y_rotation=180.0,x_rotation=1.5] run tp @s 682 6 -846 180 1.5
execute as @e[tag=controller,type=armor_stand,scores={time=1601}] run title @a title {"text":"Your deaths","color":"dark_gray"}
execute as @e[tag=controller,type=armor_stand,scores={time=1601}] as @a run title @s subtitle [{"score":{"name":"@s","objective":"totalDeaths"},"color":"gray","bold":"false"}]
execute as @e[tag=controller,type=armor_stand,scores={time=1601}] run title @a times 0 200 0
execute as @e[tag=controller,type=armor_stand,scores={time=1601}] as @a run playsound block.note_block.hat master @s ~ ~ ~ 1000

execute as @e[tag=controller,type=armor_stand,scores={time=1801}] run tp @a[scores={player=1..}] 790 24 -814 -90 0.5
execute as @e[tag=controller,type=armor_stand,scores={time=1801..2000}] run tp @a[scores={player=1..,move=1..}] 790 24 -814 -90 0.5
execute as @e[tag=controller,type=armor_stand,scores={time=1801..2000}] as @a[scores={player=1..}] unless entity @s[y_rotation=-90.0,x_rotation=0.5] run tp @s 790 24 -814 -90 0.5
execute as @e[tag=controller,type=armor_stand,scores={time=1801}] run scoreboard players set #max totalDeaths -2147483648
execute as @e[tag=controller,type=armor_stand,scores={time=1801}] run scoreboard players operation #max totalDeaths > @a[scores={player=1..}] totalDeaths
execute as @e[tag=controller,type=armor_stand,scores={time=1801}] run title @a title {"text":"Most deaths","color":"dark_gray"}
execute as @e[tag=controller,type=armor_stand,scores={time=1801}] run team leave @a[scores={player=1..}]
execute as @e[tag=controller,type=armor_stand,scores={time=1801}] as @a if score @s totalDeaths = #max totalDeaths run tag @s add mostDeaths
execute as @e[tag=controller,type=armor_stand,scores={time=1801}] as @a run title @s subtitle [{"selector":"@a[tag=mostDeaths]","color":"gray","bold":"false"},{"text":" with ","color":"gray","bold":"false"},{"score":{"name":"@a[tag=mostDeaths,limit=1]","objective":"totalDeaths"},"color":"gray","bold":"false"}]
execute as @e[tag=controller,type=armor_stand,scores={time=1801}] run team join game @a[scores={player=1..}]
execute as @e[tag=controller,type=armor_stand,scores={time=1801}] run title @a times 0 200 0
execute as @e[tag=controller,type=armor_stand,scores={time=1801}] as @a run playsound block.note_block.hat master @s ~ ~ ~ 1000

execute as @e[tag=controller,type=armor_stand,scores={time=2001}] run tp @a[scores={player=1..}] 745 36 -821 0 6
execute as @e[tag=controller,type=armor_stand,scores={time=2001..2200}] run tp @a[scores={player=1..,move=1..}] 745 36 -821 0 6
execute as @e[tag=controller,type=armor_stand,scores={time=2001..2200}] as @a[scores={player=1..}] unless entity @s[y_rotation=0.0,x_rotation=6.0] run tp @s 745 36 -821 0 6
execute as @e[tag=controller,type=armor_stand,scores={time=2001}] run scoreboard players set #min totalDeaths 2147483647
execute as @e[tag=controller,type=armor_stand,scores={time=2001}] run scoreboard players operation #min totalDeaths < @a[scores={player=1..}] totalDeaths
execute as @e[tag=controller,type=armor_stand,scores={time=2001}] run title @a title {"text":"Least deaths","color":"dark_gray"}
execute as @e[tag=controller,type=armor_stand,scores={time=2001}] run team leave @a[scores={player=1..}]
execute as @e[tag=controller,type=armor_stand,scores={time=2001}] as @a if score @s totalDeaths = #min totalDeaths run tag @s add leastDeaths
execute as @e[tag=controller,type=armor_stand,scores={time=2001}] as @a run title @s subtitle [{"selector":"@a[tag=leastDeaths]","color":"gray","bold":"false"},{"text":" with ","color":"gray","bold":"false"},{"score":{"name":"@a[tag=leastDeaths,limit=1]","objective":"totalDeaths"},"color":"gray","bold":"false"}]
execute as @e[tag=controller,type=armor_stand,scores={time=2001}] run team join game @a[scores={player=1..}]
execute as @e[tag=controller,type=armor_stand,scores={time=2001}] run title @a times 0 200 0
execute as @e[tag=controller,type=armor_stand,scores={time=2001}] as @a run playsound block.note_block.hat master @s ~ ~ ~ 1000

execute as @e[tag=controller,type=armor_stand,scores={time=2201}] run tp @a[scores={player=1..}] 774 14 -853 -36 28
execute as @e[tag=controller,type=armor_stand,scores={time=2201..2400}] run tp @a[scores={player=1..,move=1..}] 774 14 -853 -36 28
execute as @e[tag=controller,type=armor_stand,scores={time=2201..2400}] as @a[scores={player=1..}] unless entity @s[y_rotation=-36.0,x_rotation=28.0] run tp @s 774 14 -853 -36 28
execute as @e[tag=controller,type=armor_stand,scores={time=2201}] run title @a title {"text":"Your kills","color":"dark_red"}
execute as @e[tag=controller,type=armor_stand,scores={time=2201}] as @a run title @s subtitle [{"score":{"name":"@s","objective":"totalKills"},"color":"red","bold":"false"}]
execute as @e[tag=controller,type=armor_stand,scores={time=2201}] run title @a times 0 200 0
execute as @e[tag=controller,type=armor_stand,scores={time=2201}] as @a run playsound block.note_block.hat master @s ~ ~ ~ 1000

execute as @e[tag=controller,type=armor_stand,scores={time=2401}] run tp @a[scores={player=1..}] 747 6 -354 0 10
execute as @e[tag=controller,type=armor_stand,scores={time=2401..2600}] run tp @a[scores={player=1..,move=1..}] 747 6 -354 0 10
execute as @e[tag=controller,type=armor_stand,scores={time=2401..2600}] as @a[scores={player=1..}] unless entity @s[y_rotation=0.0,x_rotation=10.0] run tp @s 747 6 -354 0 10
execute as @e[tag=controller,type=armor_stand,scores={time=2401}] run scoreboard players set #max totalKills -2147483648
execute as @e[tag=controller,type=armor_stand,scores={time=2401}] run scoreboard players operation #max totalKills > @a[scores={player=1..}] totalKills
execute as @e[tag=controller,type=armor_stand,scores={time=2401}] run title @a title {"text":"Most kills","color":"dark_red"}
execute as @e[tag=controller,type=armor_stand,scores={time=2401}] run team leave @a[scores={player=1..}]
execute as @e[tag=controller,type=armor_stand,scores={time=2401}] as @a if score @s totalKills = #max totalKills run tag @s add mostKills
execute as @e[tag=controller,type=armor_stand,scores={time=2401}] as @a run title @s subtitle [{"selector":"@a[tag=mostKills]","color":"red","bold":"false"},{"text":" with ","color":"red","bold":"false"},{"score":{"name":"@a[tag=mostKills,limit=1]","objective":"totalKills"},"color":"red","bold":"false"}]
execute as @e[tag=controller,type=armor_stand,scores={time=2401}] run team join game @a[scores={player=1..}]
execute as @e[tag=controller,type=armor_stand,scores={time=2401}] run title @a times 0 200 0
execute as @e[tag=controller,type=armor_stand,scores={time=2401}] as @a run playsound block.note_block.hat master @s ~ ~ ~ 1000

execute as @e[tag=controller,type=armor_stand,scores={time=2601}] run tp @a[scores={player=1..}] 636 6 -573 -90 3
execute as @e[tag=controller,type=armor_stand,scores={time=2601..2800}] run tp @a[scores={player=1..,move=1..}] 636 6 -573 -90 3
execute as @e[tag=controller,type=armor_stand,scores={time=2601..2800}] as @a[scores={player=1..}] unless entity @s[y_rotation=-90.0,x_rotation=3.0] run tp @s 636 6 -573 -90 3
execute as @e[tag=controller,type=armor_stand,scores={time=2601}] run scoreboard players set #min totalKills 2147483647
execute as @e[tag=controller,type=armor_stand,scores={time=2601}] run scoreboard players operation #min totalKills < @a[scores={player=1..}] totalKills
execute as @e[tag=controller,type=armor_stand,scores={time=2601}] run title @a title {"text":"Least kills","color":"dark_red"}
execute as @e[tag=controller,type=armor_stand,scores={time=2601}] run team leave @a[scores={player=1..}]
execute as @e[tag=controller,type=armor_stand,scores={time=2601}] as @a if score @s totalKills = #min totalKills run tag @s add leastKills
execute as @e[tag=controller,type=armor_stand,scores={time=2601}] as @a run title @s subtitle [{"selector":"@a[tag=leastKills]","color":"red","bold":"false"},{"text":" with ","color":"red","bold":"false"},{"score":{"name":"@a[tag=leastKills,limit=1]","objective":"totalKills"},"color":"red","bold":"false"}]
execute as @e[tag=controller,type=armor_stand,scores={time=2601}] run team join game @a[scores={player=1..}]
execute as @e[tag=controller,type=armor_stand,scores={time=2601}] run title @a times 0 200 0
execute as @e[tag=controller,type=armor_stand,scores={time=2601}] as @a run playsound block.note_block.hat master @s ~ ~ ~ 1000

execute as @e[tag=controller,type=armor_stand,scores={time=2801}] run time set 13000
execute as @e[tag=controller,type=armor_stand,scores={time=2801}] run tp @a[scores={player=1..}] 336 8 -820 90 0
execute as @e[tag=controller,type=armor_stand,scores={time=2801..3000}] run tp @a[scores={player=1..,move=1..}] 336 8 -820 90 0
execute as @e[tag=controller,type=armor_stand,scores={time=2801..3000}] as @a[scores={player=1..}] unless entity @s[y_rotation=90.0,x_rotation=0.0] run tp @s 336 8 -820 90 0
execute as @e[tag=controller,type=armor_stand,scores={time=2801}] run title @a title {"text":"Your boss kills","color":"gold"}
execute as @e[tag=controller,type=armor_stand,scores={time=2801}] as @a run title @s subtitle [{"score":{"name":"@s","objective":"bossKills"},"color":"yellow","bold":"false"}]
execute as @e[tag=controller,type=armor_stand,scores={time=2801}] run title @a times 0 200 0
execute as @e[tag=controller,type=armor_stand,scores={time=2801}] as @a run playsound block.note_block.hat master @s ~ ~ ~ 1000

execute as @e[tag=controller,type=armor_stand,scores={time=3001}] run time set 6000
execute as @e[tag=controller,type=armor_stand,scores={time=3001}] run tp @a[scores={player=1..}] 1985 7 2070 -133.4 -3.0
execute as @e[tag=controller,type=armor_stand,scores={time=3001..3200}] run tp @a[scores={player=1..,move=1..}] 1985 7 2070 -133.4 -3.0
execute as @e[tag=controller,type=armor_stand,scores={time=3001..3200}] as @a[scores={player=1..}] unless entity @s[y_rotation=-133.4,x_rotation=-3.0] run tp @s 1985 7 2070 -133.4 -3.0
execute as @e[tag=controller,type=armor_stand,scores={time=3001}] run scoreboard players set #max bossKills -2147483648
execute as @e[tag=controller,type=armor_stand,scores={time=3001}] run scoreboard players operation #max bossKills > @a[scores={player=1..}] bossKills
execute as @e[tag=controller,type=armor_stand,scores={time=3001}] run title @a title {"text":"Most boss kills","color":"gold"}
execute as @e[tag=controller,type=armor_stand,scores={time=3001}] run team leave @a[scores={player=1..}]
execute as @e[tag=controller,type=armor_stand,scores={time=3001}] as @a if score @s bossKills = #max bossKills run tag @s add mostBK
execute as @e[tag=controller,type=armor_stand,scores={time=3001}] as @a run title @s subtitle [{"selector":"@a[tag=mostBK]","color":"yellow","bold":"false"},{"text":" with ","color":"yellow","bold":"false"},{"score":{"name":"@a[tag=mostBK,limit=1]","objective":"bossKills"},"color":"yellow","bold":"false"}]
execute as @e[tag=controller,type=armor_stand,scores={time=3001}] run team join game @a[scores={player=1..}]
execute as @e[tag=controller,type=armor_stand,scores={time=3001}] run title @a times 0 200 0
execute as @e[tag=controller,type=armor_stand,scores={time=3001}] as @a run playsound block.note_block.hat master @s ~ ~ ~ 1000

execute as @e[tag=controller,type=armor_stand,scores={time=3201}] run tp @a[scores={player=1..}] 1983 19 2011 -90 -1
execute as @e[tag=controller,type=armor_stand,scores={time=3201..3400}] run tp @a[scores={player=1..,move=1..}] 1983 19 2011 -90 -1
execute as @e[tag=controller,type=armor_stand,scores={time=3201..3400}] as @a[scores={player=1..}] unless entity @s[y_rotation=-90.0,x_rotation=-1.0] run tp @s 1983 19 2011 -90 -1
execute as @e[tag=controller,type=armor_stand,scores={time=3201}] run scoreboard players set #min bossKills 2147483647
execute as @e[tag=controller,type=armor_stand,scores={time=3201}] run scoreboard players operation #min bossKills < @a[scores={player=1..}] bossKills
execute as @e[tag=controller,type=armor_stand,scores={time=3201}] run title @a title {"text":"Least boss kills","color":"gold"}
execute as @e[tag=controller,type=armor_stand,scores={time=3201}] run team leave @a[scores={player=1..}]
execute as @e[tag=controller,type=armor_stand,scores={time=3201}] as @a if score @s bossKills = #min bossKills run tag @s add leastBK
execute as @e[tag=controller,type=armor_stand,scores={time=3201}] as @a run title @s subtitle [{"selector":"@a[tag=leastBK]","color":"yellow","bold":"false"},{"text":" with ","color":"yellow","bold":"false"},{"score":{"name":"@a[tag=leastBK,limit=1]","objective":"bossKills"},"color":"yellow","bold":"false"}]
execute as @e[tag=controller,type=armor_stand,scores={time=3201}] run team join game @a[scores={player=1..}]
execute as @e[tag=controller,type=armor_stand,scores={time=3201}] run title @a times 0 200 0
execute as @e[tag=controller,type=armor_stand,scores={time=3201}] as @a run playsound block.note_block.hat master @s ~ ~ ~ 1000

execute as @e[tag=controller,type=armor_stand,scores={time=3401}] run tp @a[scores={player=1..}] 342 41 -154 -155 5
execute as @e[tag=controller,type=armor_stand,scores={time=3401..3600}] run tp @a[scores={player=1..,move=1..}] 342 41 -154 -155 5
execute as @e[tag=controller,type=armor_stand,scores={time=3401..3600}] as @a[scores={player=1..}] unless entity @s[y_rotation=-155.0,x_rotation=5.0] run tp @s 342 41 -154 -155 5
execute as @e[tag=controller,type=armor_stand,scores={time=3401}] run title @a title {"text":"Total playtime","color":"white"}
execute as @e[tag=controller,type=armor_stand,scores={time=3401}] run title @a subtitle [{"score":{"name":"@s","objective":"hour"},"color":"dark_gray","bold":"false"},{"text":"h ","color":"gray","bold":"false"},{"score":{"name":"@s","objective":"minute"},"color":"dark_gray","bold":"false"},{"text":"m ","color":"gray","bold":"false"},{"score":{"name":"@s","objective":"second"},"color":"dark_gray","bold":"false"},{"text":"s","color":"gray","bold":"false"}]
execute as @e[tag=controller,type=armor_stand,scores={time=3401}] run title @a times 0 200 0
execute as @e[tag=controller,type=armor_stand,scores={time=3401}] as @a run playsound block.note_block.hat master @s ~ ~ ~ 1000

execute as @e[tag=controller,type=armor_stand,scores={time=3601}] run time set 13000
execute as @e[tag=controller,type=armor_stand,scores={time=3601}] run tellraw @a {"text":"Click here to comment your minecraft username on our youtube video to be added to our realm!","color":"green","bold":"true","clickEvent":{"action":"open_url","value":"https://www.youtube.com/watch?v=DvJRyYzfgX0"}}
execute as @e[tag=controller,type=armor_stand,scores={time=3601}] run tp @a[scores={player=1..}] 248 59 -368 -180 -4
execute as @e[tag=controller,type=armor_stand,scores={time=3601..3800}] run tp @a[scores={player=1..,move=1..}] 248 59 -368 -180 -4
execute as @e[tag=controller,type=armor_stand,scores={time=3601..3800}] as @a[scores={player=1..}] unless entity @s[y_rotation=-180.0,x_rotation=-4.0] run tp @s 248 59 -368 -180 -4
execute as @e[tag=controller,type=armor_stand,scores={time=3601..}] run title @a title {"text":"Thanks for Playing","color":"dark_purple"}
execute as @e[tag=controller,type=armor_stand,scores={time=3601..}] run title @a subtitle [{"text":"The Illusioner Part 2","color":"light_purple"}]
execute as @e[tag=controller,type=armor_stand,scores={time=3601..}] run title @a times 0 200 0
execute as @e[tag=controller,type=armor_stand,scores={time=3601}] as @a run playsound block.note_block.hat master @s ~ ~ ~ 1000

#reset move
scoreboard players reset @a[scores={move=1..}] move